/* FileChooserDialog.c generated by valac 0.34.8, the Vala compiler
 * generated from FileChooserDialog.vala, do not modify */

/*-
 * Copyright (c) 2015-2016 elementary LLC (http://launchpad.net/elementary)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor
 * Boston, MA 02110-1335 USA.
 *
 * Authored by: Adam Bieńkowski <donadigos159@gmail.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gtk/gtk.h>
#include <gio/gio.h>
#include <pantheon-files-widgets.h>
#include <glib/gi18n-lib.h>
#include <pantheon-files-core.h>
#include <gdk/gdk.h>


#define TYPE_CUSTOM_FILE_CHOOSER_DIALOG (custom_file_chooser_dialog_get_type ())
#define CUSTOM_FILE_CHOOSER_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_CUSTOM_FILE_CHOOSER_DIALOG, CustomFileChooserDialog))
#define CUSTOM_FILE_CHOOSER_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_CUSTOM_FILE_CHOOSER_DIALOG, CustomFileChooserDialogClass))
#define IS_CUSTOM_FILE_CHOOSER_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_CUSTOM_FILE_CHOOSER_DIALOG))
#define IS_CUSTOM_FILE_CHOOSER_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_CUSTOM_FILE_CHOOSER_DIALOG))
#define CUSTOM_FILE_CHOOSER_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_CUSTOM_FILE_CHOOSER_DIALOG, CustomFileChooserDialogClass))

typedef struct _CustomFileChooserDialog CustomFileChooserDialog;
typedef struct _CustomFileChooserDialogClass CustomFileChooserDialogClass;
typedef struct _CustomFileChooserDialogPrivate CustomFileChooserDialogPrivate;
#define __g_queue_free__g_free0_0(var) ((var == NULL) ? NULL : (var = (_g_queue_free__g_free0_ (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
typedef struct _Block1Data Block1Data;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _Block2Data Block2Data;
#define _g_list_free0(var) ((var == NULL) ? NULL : (var = (g_list_free (var), NULL)))
typedef struct _Block3Data Block3Data;
typedef struct _Block4Data Block4Data;
typedef struct _Block5Data Block5Data;
typedef struct _Block6Data Block6Data;
typedef struct _Block7Data Block7Data;
typedef struct _Block8Data Block8Data;
#define _g_slist_free0(var) ((var == NULL) ? NULL : (var = (g_slist_free (var), NULL)))
#define _gtk_tree_path_free0(var) ((var == NULL) ? NULL : (var = (gtk_tree_path_free (var), NULL)))

struct _CustomFileChooserDialog {
	GObject parent_instance;
	CustomFileChooserDialogPrivate * priv;
};

struct _CustomFileChooserDialogClass {
	GObjectClass parent_class;
};

struct _CustomFileChooserDialogPrivate {
	GQueue* previous_paths;
	GQueue* next_paths;
	gboolean filters_available;
	gchar* current_path;
	gboolean is_previous;
	gboolean is_button_next;
	gboolean is_single_click;
	gboolean can_activate;
};

struct _Block1Data {
	int _ref_count_;
	CustomFileChooserDialog* self;
	GSettings* chooser_settings;
	GtkButton* button_back;
	GtkButton* button_forward;
	MarlinViewChromeBasicLocationBar* location_bar;
};

struct _Block2Data {
	int _ref_count_;
	CustomFileChooserDialog* self;
	GtkWidget* root;
};

struct _Block3Data {
	int _ref_count_;
	CustomFileChooserDialog* self;
	GtkWidget* rootwidget;
	GtkWidget* w0;
};

struct _Block4Data {
	int _ref_count_;
	Block3Data * _data3_;
	GtkWidget* w1;
};

struct _Block5Data {
	int _ref_count_;
	CustomFileChooserDialog* self;
	GtkWidget* w2;
};

struct _Block6Data {
	int _ref_count_;
	CustomFileChooserDialog* self;
	GtkTreeView* tv;
};

struct _Block7Data {
	int _ref_count_;
	CustomFileChooserDialog* self;
	gchar* current_filter_name;
};

struct _Block8Data {
	int _ref_count_;
	Block7Data * _data7_;
	GtkComboBoxText* combo_box;
	gint index;
};


static gpointer custom_file_chooser_dialog_parent_class = NULL;
static GtkFileChooserDialog* custom_file_chooser_dialog_chooser_dialog;
static GtkFileChooserDialog* custom_file_chooser_dialog_chooser_dialog = NULL;
static GtkWidget* custom_file_chooser_dialog_rootwidget;
static GtkWidget* custom_file_chooser_dialog_rootwidget = NULL;
static GtkBox* custom_file_chooser_dialog_container_box;
static GtkBox* custom_file_chooser_dialog_container_box = NULL;
static GtkButton* custom_file_chooser_dialog_gtk_folder_button;
static GtkButton* custom_file_chooser_dialog_gtk_folder_button = NULL;

GType custom_file_chooser_dialog_get_type (void) G_GNUC_CONST;
#define CUSTOM_FILE_CHOOSER_DIALOG_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_CUSTOM_FILE_CHOOSER_DIALOG, CustomFileChooserDialogPrivate))
enum  {
	CUSTOM_FILE_CHOOSER_DIALOG_DUMMY_PROPERTY
};
static void _g_free0_ (gpointer var);
static void _g_queue_free__g_free0_ (GQueue* self);
#define CUSTOM_FILE_CHOOSER_DIALOG_BUTTON_RESPONSE -6
#define CUSTOM_FILE_CHOOSER_DIALOG_PLACES_SIDEBAR_PATH "places_sidebar"
CustomFileChooserDialog* custom_file_chooser_dialog_new (GtkFileChooserDialog* dialog);
CustomFileChooserDialog* custom_file_chooser_dialog_construct (GType object_type, GtkFileChooserDialog* dialog);
static Block1Data* block1_data_ref (Block1Data* _data1_);
static void block1_data_unref (void * _userdata_);
static void custom_file_chooser_dialog_assign_container_box (CustomFileChooserDialog* self);
static void custom_file_chooser_dialog_remove_gtk_widgets (CustomFileChooserDialog* self);
static void custom_file_chooser_dialog_setup_filter_box (CustomFileChooserDialog* self);
static void __lambda24_ (CustomFileChooserDialog* self);
static void ___lambda24__gtk_button_clicked (GtkButton* _sender, gpointer self);
static void __lambda25_ (CustomFileChooserDialog* self);
static void ___lambda25__gtk_button_clicked (GtkButton* _sender, gpointer self);
static void __lambda26_ (Block1Data* _data1_);
static void ___lambda26__gtk_file_chooser_current_folder_changed (GtkFileChooser* _sender, gpointer self);
static void __lambda27_ (Block1Data* _data1_);
static void ___lambda27__gtk_widget_unrealize (GtkWidget* _sender, gpointer self);
static void __lambda28_ (CustomFileChooserDialog* self, const gchar* uri);
static void ___lambda28__marlin_view_chrome_locatable_path_change_request (MarlinViewChromeLocatable* _sender, const gchar* path, MarlinOpenFlag flag, gpointer self);
static void __lambda5_ (CustomFileChooserDialog* self, GtkWidget* root);
static Block2Data* block2_data_ref (Block2Data* _data2_);
static void block2_data_unref (void * _userdata_);
static void __lambda6_ (Block2Data* _data2_, GtkWidget* w0);
static void custom_file_chooser_dialog_transform_rootwidget_container (CustomFileChooserDialog* self, GtkWidget* rootwidget, GtkWidget* w0);
static void ___lambda6__gfunc (gconstpointer data, gpointer self);
static void ___lambda5__gfunc (gconstpointer data, gpointer self);
static Block3Data* block3_data_ref (Block3Data* _data3_);
static void block3_data_unref (void * _userdata_);
static void __lambda7_ (Block3Data* _data3_, GtkWidget* w1);
static Block4Data* block4_data_ref (Block4Data* _data4_);
static void block4_data_unref (void * _userdata_);
static void ___lambda8_ (Block4Data* _data4_, GtkWidget* grid);
static void ____lambda8__gfunc (gconstpointer data, gpointer self);
static void custom_file_chooser_dialog_transform_w1_container (CustomFileChooserDialog* self, GtkWidget* w1);
static void ______lambda20_ (Block4Data* _data4_, GtkWidget* w5);
static void _______lambda20__gfunc (gconstpointer data, gpointer self);
static void ___lambda7__gfunc (gconstpointer data, gpointer self);
static void __lambda9_ (CustomFileChooserDialog* self, GtkWidget* paned);
static void __lambda10_ (CustomFileChooserDialog* self, GtkWidget* w2);
static void custom_file_chooser_dialog_transform_w2_container (CustomFileChooserDialog* self, GtkWidget* w2);
static void ___lambda10__gfunc (gconstpointer data, gpointer self);
static void ___lambda9__gfunc (gconstpointer data, gpointer self);
static Block5Data* block5_data_ref (Block5Data* _data5_);
static void block5_data_unref (void * _userdata_);
static void __lambda11_ (Block5Data* _data5_, GtkWidget* w3);
static void ___lambda12_ (CustomFileChooserDialog* self, GtkWidget* w4);
static void __lambda13_ (CustomFileChooserDialog* self, GtkWidget* w5);
static void __lambda14_ (CustomFileChooserDialog* self, GtkWidget* w6);
static void ___lambda15_ (CustomFileChooserDialog* self, GtkWidget* w7);
static void ____lambda15__gfunc (gconstpointer data, gpointer self);
static void ___lambda14__gfunc (gconstpointer data, gpointer self);
static void ___lambda13__gfunc (gconstpointer data, gpointer self);
static void ____lambda12__gfunc (gconstpointer data, gpointer self);
static GtkTreeView* custom_file_chooser_dialog_find_tree_view (CustomFileChooserDialog* self, GtkWidget* browser_box);
static gboolean custom_file_chooser_dialog_on_tv_button_press_event (CustomFileChooserDialog* self, GtkWidget* w, GdkEventButton* event);
static gboolean _custom_file_chooser_dialog_on_tv_button_press_event_gtk_widget_button_press_event (GtkWidget* _sender, GdkEventButton* event, gpointer self);
static gboolean custom_file_chooser_dialog_on_tv_button_release_event (CustomFileChooserDialog* self, GdkEventButton* event);
static gboolean _custom_file_chooser_dialog_on_tv_button_release_event_gtk_widget_button_release_event (GtkWidget* _sender, GdkEventButton* event, gpointer self);
static void ___lambda11__gfunc (gconstpointer data, gpointer self);
static Block6Data* block6_data_ref (Block6Data* _data6_);
static void block6_data_unref (void * _userdata_);
static void __lambda16_ (Block6Data* _data6_, GtkWidget* w);
static void ___lambda17_ (Block6Data* _data6_, GtkWidget* w);
static void ___lambda18_ (Block6Data* _data6_, GtkWidget* w);
static void ___lambda19_ (Block6Data* _data6_, GtkWidget* w);
static void ____lambda19__gfunc (gconstpointer data, gpointer self);
static void ____lambda18__gfunc (gconstpointer data, gpointer self);
static void ____lambda17__gfunc (gconstpointer data, gpointer self);
static void ___lambda16__gfunc (gconstpointer data, gpointer self);
static void __lambda4_ (CustomFileChooserDialog* self, GtkWidget* child);
static void ___lambda4__gfunc (gconstpointer data, gpointer self);
static Block7Data* block7_data_ref (Block7Data* _data7_);
static void block7_data_unref (void * _userdata_);
static Block8Data* block8_data_ref (Block8Data* _data8_);
static void block8_data_unref (void * _userdata_);
static void ___lambda21_ (Block8Data* _data8_);
static void __lambda22_ (Block8Data* _data8_, GtkFileFilter* filter);
static void ___lambda22__gfunc (gconstpointer data, gpointer self);
static void ____lambda21__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
static void ___lambda23_ (Block8Data* _data8_, GtkFileFilter* filter);
static void ____lambda23__gfunc (gconstpointer data, gpointer self);
static GtkTreeIter* _gtk_tree_iter_dup (GtkTreeIter* self);
static void custom_file_chooser_dialog_finalize (GObject* obj);

static const gchar* CUSTOM_FILE_CHOOSER_DIALOG_GTK_PATHBAR_PATH[4] = {"widget", "browse_widgets_box", "browse_files_box", "browse_header_revealer"};
static const gchar* CUSTOM_FILE_CHOOSER_DIALOG_GTK_FILTERCHOOSER_PATH[2] = {"extra_and_filters", "filter_combo_hbox"};
static const gchar* CUSTOM_FILE_CHOOSER_DIALOG_GTK_TREEVIEW_PATH[3] = {"browse_files_stack", "browse_files_swin", "browse_files_tree_view"};

static void _g_free0_ (gpointer var) {
#line 41 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	var = (g_free (var), NULL);
#line 245 "FileChooserDialog.c"
}


static void _g_queue_free__g_free0_ (GQueue* self) {
#line 41 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_queue_foreach (self, (GFunc) _g_free0_, NULL);
#line 41 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_queue_free (self);
#line 254 "FileChooserDialog.c"
}


static Block1Data* block1_data_ref (Block1Data* _data1_) {
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_atomic_int_inc (&_data1_->_ref_count_);
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return _data1_;
#line 263 "FileChooserDialog.c"
}


static void block1_data_unref (void * _userdata_) {
	Block1Data* _data1_;
	_data1_ = (Block1Data*) _userdata_;
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_atomic_int_dec_and_test (&_data1_->_ref_count_)) {
#line 272 "FileChooserDialog.c"
		CustomFileChooserDialog* self;
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		self = _data1_->self;
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_data1_->location_bar);
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_data1_->button_forward);
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_data1_->button_back);
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_data1_->chooser_settings);
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (self);
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_slice_free (Block1Data, _data1_);
#line 288 "FileChooserDialog.c"
	}
}


static gpointer _g_object_ref0 (gpointer self) {
#line 56 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return self ? g_object_ref (self) : NULL;
#line 296 "FileChooserDialog.c"
}


static void __lambda24_ (CustomFileChooserDialog* self) {
	GtkFileChooserDialog* _tmp0_ = NULL;
	GQueue* _tmp1_ = NULL;
	gpointer _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
#line 96 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self->priv->is_previous = TRUE;
#line 97 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = custom_file_chooser_dialog_chooser_dialog;
#line 97 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = self->priv->previous_paths;
#line 97 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = g_queue_pop_head (_tmp1_);
#line 97 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = (gchar*) _tmp2_;
#line 97 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_file_chooser_set_current_folder_uri ((GtkFileChooser*) _tmp0_, _tmp3_);
#line 97 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_free0 (_tmp3_);
#line 319 "FileChooserDialog.c"
}


static void ___lambda24__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 95 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda24_ ((CustomFileChooserDialog*) self);
#line 326 "FileChooserDialog.c"
}


static void __lambda25_ (CustomFileChooserDialog* self) {
	GtkFileChooserDialog* _tmp0_ = NULL;
	GQueue* _tmp1_ = NULL;
	gpointer _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
#line 101 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self->priv->is_button_next = TRUE;
#line 102 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = custom_file_chooser_dialog_chooser_dialog;
#line 102 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = self->priv->next_paths;
#line 102 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = g_queue_pop_head (_tmp1_);
#line 102 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = (gchar*) _tmp2_;
#line 102 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_file_chooser_set_current_folder_uri ((GtkFileChooser*) _tmp0_, _tmp3_);
#line 102 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_free0 (_tmp3_);
#line 349 "FileChooserDialog.c"
}


static void ___lambda25__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 100 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda25_ ((CustomFileChooserDialog*) self);
#line 356 "FileChooserDialog.c"
}


static void __lambda26_ (Block1Data* _data1_) {
	CustomFileChooserDialog* self;
	gchar* previous_path = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	GtkFileChooserDialog* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gboolean _tmp4_ = FALSE;
	const gchar* _tmp5_ = NULL;
	gboolean _tmp10_ = FALSE;
	GtkButton* _tmp19_ = NULL;
	GQueue* _tmp20_ = NULL;
	gboolean _tmp21_ = FALSE;
	GtkButton* _tmp22_ = NULL;
	GQueue* _tmp23_ = NULL;
	gboolean _tmp24_ = FALSE;
	MarlinViewChromeBasicLocationBar* _tmp25_ = NULL;
	const gchar* _tmp26_ = NULL;
#line 105 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = _data1_->self;
#line 106 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = self->priv->current_path;
#line 106 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 106 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	previous_path = _tmp1_;
#line 107 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = custom_file_chooser_dialog_chooser_dialog;
#line 107 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = gtk_file_chooser_get_current_folder_uri ((GtkFileChooser*) _tmp2_);
#line 107 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_free0 (self->priv->current_path);
#line 107 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self->priv->current_path = _tmp3_;
#line 108 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp5_ = previous_path;
#line 108 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (_tmp5_ == NULL) {
#line 108 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp4_ = TRUE;
#line 400 "FileChooserDialog.c"
	} else {
		const gchar* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
#line 108 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp6_ = previous_path;
#line 108 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp7_ = self->priv->current_path;
#line 108 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp4_ = g_strcmp0 (_tmp6_, _tmp7_) == 0;
#line 410 "FileChooserDialog.c"
	}
#line 108 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (_tmp4_) {
#line 414 "FileChooserDialog.c"
		MarlinViewChromeBasicLocationBar* _tmp8_ = NULL;
		const gchar* _tmp9_ = NULL;
#line 109 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp8_ = _data1_->location_bar;
#line 109 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp9_ = self->priv->current_path;
#line 109 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		marlin_view_chrome_locatable_set_display_path ((MarlinViewChromeLocatable*) _tmp8_, _tmp9_);
#line 110 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_free0 (previous_path);
#line 110 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		return;
#line 427 "FileChooserDialog.c"
	}
#line 113 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp10_ = self->priv->is_previous;
#line 113 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (_tmp10_) {
#line 433 "FileChooserDialog.c"
		GQueue* _tmp11_ = NULL;
		const gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
#line 114 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp11_ = self->priv->next_paths;
#line 114 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp12_ = previous_path;
#line 114 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp13_ = g_strdup (_tmp12_);
#line 114 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_queue_push_head (_tmp11_, _tmp13_);
#line 115 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		self->priv->is_previous = FALSE;
#line 447 "FileChooserDialog.c"
	} else {
		GQueue* _tmp14_ = NULL;
		const gchar* _tmp15_ = NULL;
		gchar* _tmp16_ = NULL;
		gboolean _tmp17_ = FALSE;
#line 117 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp14_ = self->priv->previous_paths;
#line 117 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp15_ = previous_path;
#line 117 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp16_ = g_strdup (_tmp15_);
#line 117 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_queue_push_head (_tmp14_, _tmp16_);
#line 118 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp17_ = self->priv->is_button_next;
#line 118 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		if (!_tmp17_) {
#line 465 "FileChooserDialog.c"
			GQueue* _tmp18_ = NULL;
#line 119 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_tmp18_ = self->priv->next_paths;
#line 119 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			g_queue_clear (_tmp18_);
#line 471 "FileChooserDialog.c"
		} else {
#line 121 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			self->priv->is_button_next = FALSE;
#line 475 "FileChooserDialog.c"
		}
	}
#line 125 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp19_ = _data1_->button_back;
#line 125 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp20_ = self->priv->previous_paths;
#line 125 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp21_ = g_queue_is_empty (_tmp20_);
#line 125 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp19_, !_tmp21_);
#line 126 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp22_ = _data1_->button_forward;
#line 126 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp23_ = self->priv->next_paths;
#line 126 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp24_ = g_queue_is_empty (_tmp23_);
#line 126 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp22_, !_tmp24_);
#line 127 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp25_ = _data1_->location_bar;
#line 127 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp26_ = self->priv->current_path;
#line 127 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	marlin_view_chrome_locatable_set_display_path ((MarlinViewChromeLocatable*) _tmp25_, _tmp26_);
#line 105 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_free0 (previous_path);
#line 502 "FileChooserDialog.c"
}


static void ___lambda26__gtk_file_chooser_current_folder_changed (GtkFileChooser* _sender, gpointer self) {
#line 105 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda26_ (self);
#line 509 "FileChooserDialog.c"
}


static void __lambda27_ (Block1Data* _data1_) {
	CustomFileChooserDialog* self;
	GSettings* _tmp0_ = NULL;
	MarlinViewChromeBasicLocationBar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
#line 130 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = _data1_->self;
#line 131 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = _data1_->chooser_settings;
#line 131 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = _data1_->location_bar;
#line 131 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = marlin_view_chrome_locatable_get_display_path ((MarlinViewChromeLocatable*) _tmp1_);
#line 131 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = _tmp2_;
#line 131 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_settings_set_string (_tmp0_, "last-folder-uri", _tmp3_);
#line 131 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_free0 (_tmp3_);
#line 533 "FileChooserDialog.c"
}


static void ___lambda27__gtk_widget_unrealize (GtkWidget* _sender, gpointer self) {
#line 130 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda27_ (self);
#line 540 "FileChooserDialog.c"
}


static void __lambda28_ (CustomFileChooserDialog* self, const gchar* uri) {
	GtkFileChooserDialog* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
#line 134 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (uri != NULL);
#line 135 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = custom_file_chooser_dialog_chooser_dialog;
#line 135 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = uri;
#line 135 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_file_chooser_set_current_folder ((GtkFileChooser*) _tmp0_, _tmp1_);
#line 555 "FileChooserDialog.c"
}


static void ___lambda28__marlin_view_chrome_locatable_path_change_request (MarlinViewChromeLocatable* _sender, const gchar* path, MarlinOpenFlag flag, gpointer self) {
#line 134 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda28_ ((CustomFileChooserDialog*) self, path);
#line 562 "FileChooserDialog.c"
}


CustomFileChooserDialog* custom_file_chooser_dialog_construct (GType object_type, GtkFileChooserDialog* dialog) {
	CustomFileChooserDialog * self = NULL;
	Block1Data* _data1_;
	GQueue* _tmp0_ = NULL;
	GQueue* _tmp1_ = NULL;
	GtkFileChooserDialog* _tmp2_ = NULL;
	GtkFileChooserDialog* _tmp3_ = NULL;
	GtkFileChooserDialog* _tmp4_ = NULL;
	GtkFileChooserDialog* _tmp5_ = NULL;
	GSettings* settings = NULL;
	GSettings* _tmp6_ = NULL;
	GSettings* _tmp7_ = NULL;
	gboolean _tmp8_ = FALSE;
	GSettings* _tmp9_ = NULL;
	GtkHeaderBar* header_bar = NULL;
	GtkHeaderBar* _tmp10_ = NULL;
	GtkButton* _tmp11_ = NULL;
	GtkButton* _tmp12_ = NULL;
	const gchar* _tmp13_ = NULL;
	GtkButton* _tmp14_ = NULL;
	GtkButton* _tmp15_ = NULL;
	GtkButton* _tmp16_ = NULL;
	const gchar* _tmp17_ = NULL;
	GtkButton* _tmp18_ = NULL;
	MarlinViewChromeBasicLocationBar* _tmp19_ = NULL;
	MarlinViewChromeBasicLocationBar* _tmp20_ = NULL;
	GtkFileChooserDialog* _tmp21_ = NULL;
	gchar* _tmp22_ = NULL;
	gchar* _tmp23_ = NULL;
	MarlinViewChromeBasicLocationBar* _tmp24_ = NULL;
	GtkHeaderBar* _tmp25_ = NULL;
	GtkButton* _tmp26_ = NULL;
	GtkHeaderBar* _tmp27_ = NULL;
	GtkButton* _tmp28_ = NULL;
	GtkHeaderBar* _tmp29_ = NULL;
	MarlinViewChromeBasicLocationBar* _tmp30_ = NULL;
	gboolean _tmp31_ = FALSE;
	GtkButton* _tmp32_ = NULL;
	GtkFileChooserDialog* _tmp43_ = NULL;
	GtkHeaderBar* _tmp44_ = NULL;
	GtkFileChooserDialog* _tmp45_ = NULL;
	GtkButton* _tmp46_ = NULL;
	GtkButton* _tmp47_ = NULL;
	GtkFileChooserDialog* _tmp48_ = NULL;
	GtkFileChooserDialog* _tmp49_ = NULL;
	MarlinViewChromeBasicLocationBar* _tmp50_ = NULL;
	GtkFileChooserDialog* _tmp51_ = NULL;
	GSettings* _tmp52_ = NULL;
	gchar* _tmp53_ = NULL;
	gchar* _tmp54_ = NULL;
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_val_if_fail (dialog != NULL, NULL);
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data1_ = g_slice_new0 (Block1Data);
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data1_->_ref_count_ = 1;
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = (CustomFileChooserDialog*) g_object_new (object_type, NULL);
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data1_->self = g_object_ref (self);
#line 53 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = g_queue_new ();
#line 53 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__g_queue_free__g_free0_0 (self->priv->previous_paths);
#line 53 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self->priv->previous_paths = _tmp0_;
#line 54 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = g_queue_new ();
#line 54 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__g_queue_free__g_free0_0 (self->priv->next_paths);
#line 54 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self->priv->next_paths = _tmp1_;
#line 56 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = dialog;
#line 56 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = _g_object_ref0 (_tmp2_);
#line 56 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_object_unref0 (custom_file_chooser_dialog_chooser_dialog);
#line 56 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	custom_file_chooser_dialog_chooser_dialog = _tmp3_;
#line 57 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp4_ = custom_file_chooser_dialog_chooser_dialog;
#line 57 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_object_set ((GtkWidget*) _tmp4_, "can-focus", TRUE, NULL);
#line 58 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp5_ = custom_file_chooser_dialog_chooser_dialog;
#line 58 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_window_set_deletable ((GtkWindow*) _tmp5_, FALSE);
#line 60 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp6_ = g_settings_new ("org.pantheon.files.preferences");
#line 60 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	settings = _tmp6_;
#line 61 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp7_ = settings;
#line 61 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp8_ = g_settings_get_boolean (_tmp7_, "single-click");
#line 61 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self->priv->is_single_click = _tmp8_;
#line 63 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp9_ = g_settings_new ("org.pantheon.files.file-chooser");
#line 63 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data1_->chooser_settings = _tmp9_;
#line 65 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	custom_file_chooser_dialog_assign_container_box (self);
#line 66 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	custom_file_chooser_dialog_remove_gtk_widgets (self);
#line 67 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	custom_file_chooser_dialog_setup_filter_box (self);
#line 69 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp10_ = (GtkHeaderBar*) gtk_header_bar_new ();
#line 69 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_object_ref_sink (_tmp10_);
#line 69 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	header_bar = _tmp10_;
#line 71 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp11_ = (GtkButton*) gtk_button_new_from_icon_name ("go-previous-symbolic", GTK_ICON_SIZE_LARGE_TOOLBAR);
#line 71 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_object_ref_sink (_tmp11_);
#line 71 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data1_->button_back = _tmp11_;
#line 72 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp12_ = _data1_->button_back;
#line 72 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp13_ = _ ("Previous");
#line 72 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) _tmp12_, _tmp13_);
#line 73 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp14_ = _data1_->button_back;
#line 73 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp14_, FALSE);
#line 75 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp15_ = (GtkButton*) gtk_button_new_from_icon_name ("go-next-symbolic", GTK_ICON_SIZE_LARGE_TOOLBAR);
#line 75 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_object_ref_sink (_tmp15_);
#line 75 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data1_->button_forward = _tmp15_;
#line 76 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp16_ = _data1_->button_forward;
#line 76 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp17_ = _ ("Next");
#line 76 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) _tmp16_, _tmp17_);
#line 77 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp18_ = _data1_->button_forward;
#line 77 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp18_, FALSE);
#line 79 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp19_ = marlin_view_chrome_basic_location_bar_new (NULL);
#line 79 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_object_ref_sink (_tmp19_);
#line 79 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data1_->location_bar = _tmp19_;
#line 80 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp20_ = _data1_->location_bar;
#line 80 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp21_ = custom_file_chooser_dialog_chooser_dialog;
#line 80 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp22_ = gtk_file_chooser_get_current_folder_uri ((GtkFileChooser*) _tmp21_);
#line 80 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp23_ = _tmp22_;
#line 80 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	marlin_view_chrome_locatable_set_display_path ((MarlinViewChromeLocatable*) _tmp20_, _tmp23_);
#line 80 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_free0 (_tmp23_);
#line 81 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp24_ = _data1_->location_bar;
#line 81 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp24_, TRUE);
#line 83 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp25_ = header_bar;
#line 83 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp26_ = _data1_->button_back;
#line 83 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_header_bar_pack_start (_tmp25_, (GtkWidget*) _tmp26_);
#line 84 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp27_ = header_bar;
#line 84 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp28_ = _data1_->button_forward;
#line 84 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_header_bar_pack_start (_tmp27_, (GtkWidget*) _tmp28_);
#line 85 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp29_ = header_bar;
#line 85 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp30_ = _data1_->location_bar;
#line 85 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_header_bar_pack_start (_tmp29_, (GtkWidget*) _tmp30_);
#line 86 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp32_ = custom_file_chooser_dialog_gtk_folder_button;
#line 86 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (_tmp32_ != NULL) {
#line 756 "FileChooserDialog.c"
		GtkFileChooserDialog* _tmp33_ = NULL;
		GtkFileChooserAction _tmp34_ = 0;
#line 86 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp33_ = custom_file_chooser_dialog_chooser_dialog;
#line 86 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp34_ = gtk_file_chooser_get_action ((GtkFileChooser*) _tmp33_);
#line 86 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp31_ = _tmp34_ != GTK_FILE_CHOOSER_ACTION_OPEN;
#line 765 "FileChooserDialog.c"
	} else {
#line 86 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp31_ = FALSE;
#line 769 "FileChooserDialog.c"
	}
#line 86 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (_tmp31_) {
#line 773 "FileChooserDialog.c"
		GtkButton* _tmp35_ = NULL;
		GtkImage* _tmp36_ = NULL;
		GtkImage* _tmp37_ = NULL;
		GtkButton* _tmp38_ = NULL;
		GtkContainer* _tmp39_ = NULL;
		GtkButton* _tmp40_ = NULL;
		GtkHeaderBar* _tmp41_ = NULL;
		GtkButton* _tmp42_ = NULL;
#line 87 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp35_ = custom_file_chooser_dialog_gtk_folder_button;
#line 87 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp36_ = (GtkImage*) gtk_image_new_from_icon_name ("folder-new", GTK_ICON_SIZE_LARGE_TOOLBAR);
#line 87 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_object_ref_sink (_tmp36_);
#line 87 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp37_ = _tmp36_;
#line 87 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_button_set_image (_tmp35_, (GtkWidget*) _tmp37_);
#line 87 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_tmp37_);
#line 88 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp38_ = custom_file_chooser_dialog_gtk_folder_button;
#line 88 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp39_ = (GtkContainer*) gtk_widget_get_parent ((GtkWidget*) _tmp38_);
#line 88 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp40_ = custom_file_chooser_dialog_gtk_folder_button;
#line 88 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_container_remove (G_TYPE_CHECK_INSTANCE_CAST (_tmp39_, gtk_container_get_type (), GtkContainer), (GtkWidget*) _tmp40_);
#line 89 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp41_ = header_bar;
#line 89 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp42_ = custom_file_chooser_dialog_gtk_folder_button;
#line 89 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_header_bar_pack_end (_tmp41_, (GtkWidget*) _tmp42_);
#line 808 "FileChooserDialog.c"
	}
#line 92 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp43_ = custom_file_chooser_dialog_chooser_dialog;
#line 92 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp44_ = header_bar;
#line 92 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_window_set_titlebar ((GtkWindow*) _tmp43_, (GtkWidget*) _tmp44_);
#line 93 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp45_ = custom_file_chooser_dialog_chooser_dialog;
#line 93 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_widget_show_all ((GtkWidget*) _tmp45_);
#line 95 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp46_ = _data1_->button_back;
#line 95 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_signal_connect_object (_tmp46_, "clicked", (GCallback) ___lambda24__gtk_button_clicked, self, 0);
#line 100 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp47_ = _data1_->button_forward;
#line 100 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_signal_connect_object (_tmp47_, "clicked", (GCallback) ___lambda25__gtk_button_clicked, self, 0);
#line 105 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp48_ = custom_file_chooser_dialog_chooser_dialog;
#line 105 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_signal_connect_data ((GtkFileChooser*) _tmp48_, "current-folder-changed", (GCallback) ___lambda26__gtk_file_chooser_current_folder_changed, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
#line 130 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp49_ = custom_file_chooser_dialog_chooser_dialog;
#line 130 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_signal_connect_data ((GtkWidget*) _tmp49_, "unrealize", (GCallback) ___lambda27__gtk_widget_unrealize, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
#line 134 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp50_ = _data1_->location_bar;
#line 134 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_signal_connect_object ((MarlinViewChromeLocatable*) _tmp50_, "path-change-request", (GCallback) ___lambda28__marlin_view_chrome_locatable_path_change_request, self, 0);
#line 138 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp51_ = custom_file_chooser_dialog_chooser_dialog;
#line 138 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp52_ = _data1_->chooser_settings;
#line 138 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp53_ = g_settings_get_string (_tmp52_, "last-folder-uri");
#line 138 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp54_ = _tmp53_;
#line 138 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_file_chooser_set_current_folder_uri ((GtkFileChooser*) _tmp51_, _tmp54_);
#line 138 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_free0 (_tmp54_);
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_object_unref0 (header_bar);
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_object_unref0 (settings);
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	block1_data_unref (_data1_);
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data1_ = NULL;
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return self;
#line 862 "FileChooserDialog.c"
}


CustomFileChooserDialog* custom_file_chooser_dialog_new (GtkFileChooserDialog* dialog) {
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return custom_file_chooser_dialog_construct (TYPE_CUSTOM_FILE_CHOOSER_DIALOG, dialog);
#line 869 "FileChooserDialog.c"
}


static Block2Data* block2_data_ref (Block2Data* _data2_) {
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_atomic_int_inc (&_data2_->_ref_count_);
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return _data2_;
#line 878 "FileChooserDialog.c"
}


static void block2_data_unref (void * _userdata_) {
	Block2Data* _data2_;
	_data2_ = (Block2Data*) _userdata_;
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_atomic_int_dec_and_test (&_data2_->_ref_count_)) {
#line 887 "FileChooserDialog.c"
		CustomFileChooserDialog* self;
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		self = _data2_->self;
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_data2_->root);
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (self);
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_slice_free (Block2Data, _data2_);
#line 897 "FileChooserDialog.c"
	}
}


static void __lambda6_ (Block2Data* _data2_, GtkWidget* w0) {
	CustomFileChooserDialog* self;
	GtkWidget* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
#line 148 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = _data2_->self;
#line 148 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w0 != NULL);
#line 149 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = w0;
#line 149 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_buildable_get_name ((GtkBuildable*) _tmp0_);
#line 149 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = CUSTOM_FILE_CHOOSER_DIALOG_GTK_PATHBAR_PATH[0];
#line 149 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_strcmp0 (_tmp1_, _tmp2_) == 0) {
#line 919 "FileChooserDialog.c"
		GtkContainer* chooserwidget = NULL;
		GtkWidget* _tmp3_ = NULL;
		GtkContainer* _tmp4_ = NULL;
		GtkContainer* _tmp5_ = NULL;
		GtkWidget* _tmp6_ = NULL;
		GtkWidget* _tmp7_ = NULL;
		GtkBox* root_box = NULL;
		GtkBox* _tmp8_ = NULL;
		GtkBox* _tmp9_ = NULL;
		GtkSeparator* _tmp10_ = NULL;
		GtkSeparator* _tmp11_ = NULL;
		GtkBox* _tmp12_ = NULL;
		GtkContainer* _tmp13_ = NULL;
		GtkFileChooserDialog* _tmp14_ = NULL;
		GtkWidget* _tmp15_ = NULL;
		GtkWidget* _tmp19_ = NULL;
		GtkBox* _tmp20_ = NULL;
		GtkContainer* _tmp21_ = NULL;
		GtkWidget* _tmp22_ = NULL;
		GtkWidget* _tmp23_ = NULL;
		GtkWidget* _tmp24_ = NULL;
		GtkWidget* _tmp25_ = NULL;
		GtkWidget* _tmp26_ = NULL;
		GtkWidget* _tmp27_ = NULL;
#line 151 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp3_ = w0;
#line 151 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp4_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp3_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp3_) : NULL);
#line 151 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		chooserwidget = _tmp4_;
#line 152 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp5_ = chooserwidget;
#line 152 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_widget_set_vexpand ((GtkWidget*) _tmp5_, TRUE);
#line 154 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp6_ = _data2_->root;
#line 154 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp7_ = w0;
#line 154 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_container_remove (G_TYPE_CHECK_INSTANCE_TYPE (_tmp6_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp6_) : NULL, _tmp7_);
#line 155 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp8_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 0);
#line 155 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_object_ref_sink (_tmp8_);
#line 155 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		root_box = _tmp8_;
#line 156 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp9_ = root_box;
#line 156 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp10_ = (GtkSeparator*) gtk_separator_new (GTK_ORIENTATION_HORIZONTAL);
#line 156 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_object_ref_sink (_tmp10_);
#line 156 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp11_ = _tmp10_;
#line 156 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_container_add ((GtkContainer*) _tmp9_, (GtkWidget*) _tmp11_);
#line 156 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_tmp11_);
#line 157 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp12_ = root_box;
#line 157 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp13_ = chooserwidget;
#line 157 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_container_add ((GtkContainer*) _tmp12_, (GtkWidget*) _tmp13_);
#line 159 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp14_ = custom_file_chooser_dialog_chooser_dialog;
#line 159 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp15_ = gtk_file_chooser_get_extra_widget ((GtkFileChooser*) _tmp14_);
#line 159 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		if (_tmp15_ == NULL) {
#line 990 "FileChooserDialog.c"
			GtkBox* _tmp16_ = NULL;
			GtkSeparator* _tmp17_ = NULL;
			GtkSeparator* _tmp18_ = NULL;
#line 160 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_tmp16_ = root_box;
#line 160 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_tmp17_ = (GtkSeparator*) gtk_separator_new (GTK_ORIENTATION_HORIZONTAL);
#line 160 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			g_object_ref_sink (_tmp17_);
#line 160 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_tmp18_ = _tmp17_;
#line 160 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			gtk_container_add ((GtkContainer*) _tmp16_, (GtkWidget*) _tmp18_);
#line 160 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_g_object_unref0 (_tmp18_);
#line 1006 "FileChooserDialog.c"
		}
#line 163 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp19_ = _data2_->root;
#line 163 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp20_ = root_box;
#line 163 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_container_add (G_TYPE_CHECK_INSTANCE_TYPE (_tmp19_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp19_) : NULL, (GtkWidget*) _tmp20_);
#line 164 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp21_ = chooserwidget;
#line 164 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp22_ = _g_object_ref0 ((GtkWidget*) _tmp21_);
#line 164 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (custom_file_chooser_dialog_rootwidget);
#line 164 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		custom_file_chooser_dialog_rootwidget = _tmp22_;
#line 165 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp23_ = w0;
#line 165 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp24_ = _g_object_ref0 (_tmp23_);
#line 165 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (custom_file_chooser_dialog_rootwidget);
#line 165 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		custom_file_chooser_dialog_rootwidget = _tmp24_;
#line 166 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp25_ = custom_file_chooser_dialog_rootwidget;
#line 166 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_object_set (_tmp25_, "can-focus", TRUE, NULL);
#line 167 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp26_ = custom_file_chooser_dialog_rootwidget;
#line 167 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp27_ = w0;
#line 167 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		custom_file_chooser_dialog_transform_rootwidget_container (self, _tmp26_, _tmp27_);
#line 149 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (root_box);
#line 149 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (chooserwidget);
#line 1044 "FileChooserDialog.c"
	}
}


static void ___lambda6__gfunc (gconstpointer data, gpointer self) {
#line 148 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda6_ (self, (GtkWidget*) data);
#line 1052 "FileChooserDialog.c"
}


static void __lambda5_ (CustomFileChooserDialog* self, GtkWidget* root) {
	Block2Data* _data2_;
	GtkWidget* _tmp0_ = NULL;
	GtkWidget* _tmp1_ = NULL;
	GtkWidget* _tmp2_ = NULL;
	GList* _tmp3_ = NULL;
	GList* _tmp4_ = NULL;
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (root != NULL);
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data2_ = g_slice_new0 (Block2Data);
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data2_->_ref_count_ = 1;
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data2_->self = g_object_ref (self);
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = root;
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_object_unref0 (_data2_->root);
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data2_->root = _tmp1_;
#line 148 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = _data2_->root;
#line 148 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (_tmp2_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp2_) : NULL);
#line 148 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp4_ = _tmp3_;
#line 148 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_list_foreach (_tmp4_, ___lambda6__gfunc, _data2_);
#line 148 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_list_free0 (_tmp4_);
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	block2_data_unref (_data2_);
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data2_ = NULL;
#line 1093 "FileChooserDialog.c"
}


static void ___lambda5__gfunc (gconstpointer data, gpointer self) {
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda5_ ((CustomFileChooserDialog*) self, (GtkWidget*) data);
#line 1100 "FileChooserDialog.c"
}


static void custom_file_chooser_dialog_remove_gtk_widgets (CustomFileChooserDialog* self) {
	GtkFileChooserDialog* _tmp0_ = NULL;
	GList* _tmp1_ = NULL;
	GList* _tmp2_ = NULL;
#line 146 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (self != NULL);
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = custom_file_chooser_dialog_chooser_dialog;
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_container_get_children ((GtkContainer*) _tmp0_);
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = _tmp1_;
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_list_foreach (_tmp2_, ___lambda5__gfunc, self);
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_list_free0 (_tmp2_);
#line 1120 "FileChooserDialog.c"
}


static Block3Data* block3_data_ref (Block3Data* _data3_) {
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_atomic_int_inc (&_data3_->_ref_count_);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return _data3_;
#line 1129 "FileChooserDialog.c"
}


static void block3_data_unref (void * _userdata_) {
	Block3Data* _data3_;
	_data3_ = (Block3Data*) _userdata_;
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_atomic_int_dec_and_test (&_data3_->_ref_count_)) {
#line 1138 "FileChooserDialog.c"
		CustomFileChooserDialog* self;
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		self = _data3_->self;
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_data3_->rootwidget);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_data3_->w0);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (self);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_slice_free (Block3Data, _data3_);
#line 1150 "FileChooserDialog.c"
	}
}


static Block4Data* block4_data_ref (Block4Data* _data4_) {
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_atomic_int_inc (&_data4_->_ref_count_);
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return _data4_;
#line 1160 "FileChooserDialog.c"
}


static void block4_data_unref (void * _userdata_) {
	Block4Data* _data4_;
	_data4_ = (Block4Data*) _userdata_;
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_atomic_int_dec_and_test (&_data4_->_ref_count_)) {
#line 1169 "FileChooserDialog.c"
		CustomFileChooserDialog* self;
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		self = _data4_->_data3_->self;
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_data4_->w1);
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		block3_data_unref (_data4_->_data3_);
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_data4_->_data3_ = NULL;
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_slice_free (Block4Data, _data4_);
#line 1181 "FileChooserDialog.c"
	}
}


static void ___lambda8_ (Block4Data* _data4_, GtkWidget* grid) {
	Block3Data* _data3_;
	CustomFileChooserDialog* self;
	GtkWidget* _tmp0_ = NULL;
	GtkWidget* _tmp1_ = NULL;
	GtkWidget* _tmp2_ = NULL;
	GtkWidget* _tmp3_ = NULL;
	GtkWidget* _tmp4_ = NULL;
	GtkWidget* _tmp5_ = NULL;
	GtkBox* _tmp6_ = NULL;
	GtkWidget* _tmp7_ = NULL;
	GtkBox* _tmp8_ = NULL;
	GtkWidget* _tmp9_ = NULL;
	GtkWidget* _tmp10_ = NULL;
#line 179 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data3_ = _data4_->_data3_;
#line 179 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = _data3_->self;
#line 179 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (grid != NULL);
#line 180 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = grid;
#line 180 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_object_ref ((GObject*) _tmp0_);
#line 181 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = grid;
#line 181 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_object_set (_tmp1_, "margin", 0, NULL);
#line 182 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = grid;
#line 182 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_widget_set_valign (_tmp2_, GTK_ALIGN_CENTER);
#line 183 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = grid;
#line 183 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_container_set_border_width (G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, gtk_container_get_type (), GtkContainer), (guint) 0);
#line 184 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp4_ = _data4_->w1;
#line 184 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp5_ = grid;
#line 184 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_container_remove (G_TYPE_CHECK_INSTANCE_TYPE (_tmp4_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp4_) : NULL, _tmp5_);
#line 185 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp6_ = custom_file_chooser_dialog_container_box;
#line 185 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp7_ = grid;
#line 185 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_box_pack_start (_tmp6_, _tmp7_, TRUE, TRUE, (guint) 0);
#line 186 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp8_ = custom_file_chooser_dialog_container_box;
#line 186 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp9_ = grid;
#line 186 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_button_box_set_child_secondary (G_TYPE_CHECK_INSTANCE_CAST (_tmp8_, gtk_button_box_get_type (), GtkButtonBox), _tmp9_, TRUE);
#line 187 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp10_ = grid;
#line 187 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_object_unref ((GObject*) _tmp10_);
#line 1244 "FileChooserDialog.c"
}


static void ____lambda8__gfunc (gconstpointer data, gpointer self) {
#line 179 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	___lambda8_ (self, (GtkWidget*) data);
#line 1251 "FileChooserDialog.c"
}


static void ______lambda20_ (Block4Data* _data4_, GtkWidget* w5) {
	Block3Data* _data3_;
	CustomFileChooserDialog* self;
	GtkWidget* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
#line 200 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data3_ = _data4_->_data3_;
#line 200 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = _data3_->self;
#line 200 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w5 != NULL);
#line 201 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = w5;
#line 201 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_buildable_get_name ((GtkBuildable*) _tmp0_);
#line 201 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = CUSTOM_FILE_CHOOSER_DIALOG_GTK_FILTERCHOOSER_PATH[1];
#line 201 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_strcmp0 (_tmp1_, _tmp2_) == 0) {
#line 1275 "FileChooserDialog.c"
		GtkWidget* _tmp3_ = NULL;
		GtkWidget* _tmp4_ = NULL;
#line 202 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp3_ = _data4_->w1;
#line 202 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp4_ = w5;
#line 202 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_container_remove (G_TYPE_CHECK_INSTANCE_TYPE (_tmp3_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp3_) : NULL, _tmp4_);
#line 1284 "FileChooserDialog.c"
	}
}


static void _______lambda20__gfunc (gconstpointer data, gpointer self) {
#line 200 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	______lambda20_ (self, (GtkWidget*) data);
#line 1292 "FileChooserDialog.c"
}


static void __lambda7_ (Block3Data* _data3_, GtkWidget* w1) {
	CustomFileChooserDialog* self;
	Block4Data* _data4_;
	GtkWidget* _tmp0_ = NULL;
	GtkWidget* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	GtkWidget* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = _data3_->self;
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w1 != NULL);
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data4_ = g_slice_new0 (Block4Data);
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data4_->_ref_count_ = 1;
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data4_->_data3_ = block3_data_ref (_data3_);
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = w1;
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_object_unref0 (_data4_->w1);
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data4_->w1 = _tmp1_;
#line 175 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = _data4_->w1;
#line 175 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp4_ = gtk_widget_get_name (_tmp3_);
#line 175 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp5_ = _tmp4_;
#line 175 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_strcmp0 (_tmp5_, "GtkBox") == 0) {
#line 1331 "FileChooserDialog.c"
		GtkWidget* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
#line 175 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp6_ = _data4_->w1;
#line 175 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp7_ = gtk_buildable_get_name ((GtkBuildable*) _tmp6_);
#line 175 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp8_ = CUSTOM_FILE_CHOOSER_DIALOG_GTK_PATHBAR_PATH[1];
#line 175 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp2_ = g_strcmp0 (_tmp7_, _tmp8_) != 0;
#line 1343 "FileChooserDialog.c"
	} else {
#line 175 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp2_ = FALSE;
#line 1347 "FileChooserDialog.c"
	}
#line 175 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (_tmp2_) {
#line 1351 "FileChooserDialog.c"
		GtkWidget* _tmp9_ = NULL;
		GtkWidget* _tmp10_ = NULL;
		GtkWidget* _tmp11_ = NULL;
		GtkWidget* _tmp12_ = NULL;
		GList* _tmp13_ = NULL;
		GList* _tmp14_ = NULL;
		GtkWidget* _tmp15_ = NULL;
		GtkBox* _tmp16_ = NULL;
#line 176 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp9_ = _data4_->w1;
#line 176 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_object_ref ((GObject*) _tmp9_);
#line 177 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp10_ = _data3_->rootwidget;
#line 177 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp11_ = _data4_->w1;
#line 177 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_container_remove (G_TYPE_CHECK_INSTANCE_TYPE (_tmp10_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp10_) : NULL, _tmp11_);
#line 179 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp12_ = _data4_->w1;
#line 179 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp13_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (_tmp12_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp12_) : NULL);
#line 179 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp14_ = _tmp13_;
#line 179 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_list_foreach (_tmp14_, ____lambda8__gfunc, _data4_);
#line 179 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_list_free0 (_tmp14_);
#line 190 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp15_ = _data4_->w1;
#line 190 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_object_unref ((GObject*) _tmp15_);
#line 191 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp16_ = custom_file_chooser_dialog_container_box;
#line 191 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_widget_show_all ((GtkWidget*) _tmp16_);
#line 1388 "FileChooserDialog.c"
	} else {
		GtkWidget* _tmp17_ = NULL;
		const gchar* _tmp18_ = NULL;
		const gchar* _tmp19_ = NULL;
#line 192 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp17_ = _data4_->w1;
#line 192 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp18_ = gtk_buildable_get_name ((GtkBuildable*) _tmp17_);
#line 192 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp19_ = CUSTOM_FILE_CHOOSER_DIALOG_GTK_PATHBAR_PATH[1];
#line 192 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		if (g_strcmp0 (_tmp18_, _tmp19_) == 0) {
#line 1401 "FileChooserDialog.c"
			GtkWidget* _tmp20_ = NULL;
#line 193 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_tmp20_ = _data4_->w1;
#line 193 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			custom_file_chooser_dialog_transform_w1_container (self, _tmp20_);
#line 1407 "FileChooserDialog.c"
		} else {
			GtkWidget* _tmp21_ = NULL;
			const gchar* _tmp22_ = NULL;
			const gchar* _tmp23_ = NULL;
#line 195 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_tmp21_ = _data4_->w1;
#line 195 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_tmp22_ = gtk_buildable_get_name ((GtkBuildable*) _tmp21_);
#line 195 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_tmp23_ = CUSTOM_FILE_CHOOSER_DIALOG_GTK_FILTERCHOOSER_PATH[0];
#line 195 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			if (g_strcmp0 (_tmp22_, _tmp23_) == 0) {
#line 1420 "FileChooserDialog.c"
				GtkFileChooserDialog* _tmp24_ = NULL;
				GtkWidget* _tmp25_ = NULL;
#line 197 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
				_tmp24_ = custom_file_chooser_dialog_chooser_dialog;
#line 197 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
				_tmp25_ = gtk_file_chooser_get_extra_widget ((GtkFileChooser*) _tmp24_);
#line 197 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
				if (_tmp25_ == NULL) {
#line 1429 "FileChooserDialog.c"
					GtkWidget* _tmp26_ = NULL;
					GtkWidget* _tmp27_ = NULL;
#line 198 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
					_tmp26_ = _data3_->w0;
#line 198 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
					_tmp27_ = _data4_->w1;
#line 198 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
					gtk_container_remove (G_TYPE_CHECK_INSTANCE_TYPE (_tmp26_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp26_) : NULL, _tmp27_);
#line 1438 "FileChooserDialog.c"
				} else {
					GtkWidget* _tmp28_ = NULL;
					GList* _tmp29_ = NULL;
					GList* _tmp30_ = NULL;
#line 200 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
					_tmp28_ = _data4_->w1;
#line 200 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
					_tmp29_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (_tmp28_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp28_) : NULL);
#line 200 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
					_tmp30_ = _tmp29_;
#line 200 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
					g_list_foreach (_tmp30_, _______lambda20__gfunc, _data4_);
#line 200 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
					_g_list_free0 (_tmp30_);
#line 1453 "FileChooserDialog.c"
				}
			}
		}
	}
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	block4_data_unref (_data4_);
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data4_ = NULL;
#line 1462 "FileChooserDialog.c"
}


static void ___lambda7__gfunc (gconstpointer data, gpointer self) {
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda7_ (self, (GtkWidget*) data);
#line 1469 "FileChooserDialog.c"
}


static void custom_file_chooser_dialog_transform_rootwidget_container (CustomFileChooserDialog* self, GtkWidget* rootwidget, GtkWidget* w0) {
	Block3Data* _data3_;
	GtkWidget* _tmp0_ = NULL;
	GtkWidget* _tmp1_ = NULL;
	GtkWidget* _tmp2_ = NULL;
	GtkWidget* _tmp3_ = NULL;
	GtkWidget* _tmp4_ = NULL;
	GList* _tmp5_ = NULL;
	GList* _tmp6_ = NULL;
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (self != NULL);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (rootwidget != NULL);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w0 != NULL);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data3_ = g_slice_new0 (Block3Data);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data3_->_ref_count_ = 1;
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data3_->self = g_object_ref (self);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = rootwidget;
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_object_unref0 (_data3_->rootwidget);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data3_->rootwidget = _tmp1_;
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = w0;
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = _g_object_ref0 (_tmp2_);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_object_unref0 (_data3_->w0);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data3_->w0 = _tmp3_;
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp4_ = _data3_->rootwidget;
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp5_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (_tmp4_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp4_) : NULL);
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp6_ = _tmp5_;
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_list_foreach (_tmp6_, ___lambda7__gfunc, _data3_);
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_list_free0 (_tmp6_);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	block3_data_unref (_data3_);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data3_ = NULL;
#line 1524 "FileChooserDialog.c"
}


static void __lambda10_ (CustomFileChooserDialog* self, GtkWidget* w2) {
	GtkWidget* _tmp0_ = NULL;
#line 212 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w2 != NULL);
#line 213 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = w2;
#line 213 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (G_TYPE_CHECK_INSTANCE_TYPE (_tmp0_, gtk_places_sidebar_get_type ())) {
#line 1536 "FileChooserDialog.c"
		GtkWidget* _tmp1_ = NULL;
		GtkWidget* _tmp2_ = NULL;
#line 214 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp1_ = w2;
#line 214 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_places_sidebar_set_show_desktop (G_TYPE_CHECK_INSTANCE_TYPE (_tmp1_, gtk_places_sidebar_get_type ()) ? ((GtkPlacesSidebar*) _tmp1_) : NULL, FALSE);
#line 215 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp2_ = w2;
#line 215 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_places_sidebar_set_show_enter_location (G_TYPE_CHECK_INSTANCE_TYPE (_tmp2_, gtk_places_sidebar_get_type ()) ? ((GtkPlacesSidebar*) _tmp2_) : NULL, FALSE);
#line 1547 "FileChooserDialog.c"
	} else {
		GtkWidget* _tmp3_ = NULL;
#line 217 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp3_ = w2;
#line 217 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		custom_file_chooser_dialog_transform_w2_container (self, _tmp3_);
#line 1554 "FileChooserDialog.c"
	}
}


static void ___lambda10__gfunc (gconstpointer data, gpointer self) {
#line 212 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda10_ ((CustomFileChooserDialog*) self, (GtkWidget*) data);
#line 1562 "FileChooserDialog.c"
}


static void __lambda9_ (CustomFileChooserDialog* self, GtkWidget* paned) {
	GtkWidget* _tmp0_ = NULL;
	GList* _tmp1_ = NULL;
	GList* _tmp2_ = NULL;
#line 211 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (paned != NULL);
#line 212 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = paned;
#line 212 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (_tmp0_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp0_) : NULL);
#line 212 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = _tmp1_;
#line 212 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_list_foreach (_tmp2_, ___lambda10__gfunc, self);
#line 212 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_list_free0 (_tmp2_);
#line 1582 "FileChooserDialog.c"
}


static void ___lambda9__gfunc (gconstpointer data, gpointer self) {
#line 211 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda9_ ((CustomFileChooserDialog*) self, (GtkWidget*) data);
#line 1589 "FileChooserDialog.c"
}


static void custom_file_chooser_dialog_transform_w1_container (CustomFileChooserDialog* self, GtkWidget* w1) {
	GtkWidget* _tmp0_ = NULL;
	GList* _tmp1_ = NULL;
	GList* _tmp2_ = NULL;
#line 210 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (self != NULL);
#line 210 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w1 != NULL);
#line 211 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = w1;
#line 211 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (_tmp0_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp0_) : NULL);
#line 211 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = _tmp1_;
#line 211 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_list_foreach (_tmp2_, ___lambda9__gfunc, self);
#line 211 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_list_free0 (_tmp2_);
#line 1611 "FileChooserDialog.c"
}


static Block5Data* block5_data_ref (Block5Data* _data5_) {
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_atomic_int_inc (&_data5_->_ref_count_);
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return _data5_;
#line 1620 "FileChooserDialog.c"
}


static void block5_data_unref (void * _userdata_) {
	Block5Data* _data5_;
	_data5_ = (Block5Data*) _userdata_;
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_atomic_int_dec_and_test (&_data5_->_ref_count_)) {
#line 1629 "FileChooserDialog.c"
		CustomFileChooserDialog* self;
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		self = _data5_->self;
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_data5_->w2);
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (self);
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_slice_free (Block5Data, _data5_);
#line 1639 "FileChooserDialog.c"
	}
}


static void ___lambda15_ (CustomFileChooserDialog* self, GtkWidget* w7) {
	GtkWidget* _tmp0_ = NULL;
#line 230 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w7 != NULL);
#line 231 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = w7;
#line 231 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (G_TYPE_CHECK_INSTANCE_TYPE (_tmp0_, gtk_button_get_type ())) {
#line 1652 "FileChooserDialog.c"
		GtkWidget* _tmp1_ = NULL;
		GtkButton* _tmp2_ = NULL;
#line 233 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp1_ = w7;
#line 233 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp2_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp1_, gtk_button_get_type ()) ? ((GtkButton*) _tmp1_) : NULL);
#line 233 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (custom_file_chooser_dialog_gtk_folder_button);
#line 233 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		custom_file_chooser_dialog_gtk_folder_button = _tmp2_;
#line 1663 "FileChooserDialog.c"
	}
}


static void ____lambda15__gfunc (gconstpointer data, gpointer self) {
#line 230 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	___lambda15_ ((CustomFileChooserDialog*) self, (GtkWidget*) data);
#line 1671 "FileChooserDialog.c"
}


static void __lambda14_ (CustomFileChooserDialog* self, GtkWidget* w6) {
	GtkWidget* _tmp0_ = NULL;
#line 228 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w6 != NULL);
#line 229 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = w6;
#line 229 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (G_TYPE_CHECK_INSTANCE_TYPE (_tmp0_, gtk_box_get_type ())) {
#line 1683 "FileChooserDialog.c"
		GtkWidget* _tmp1_ = NULL;
		GList* _tmp2_ = NULL;
		GList* _tmp3_ = NULL;
#line 230 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp1_ = w6;
#line 230 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp2_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (_tmp1_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp1_) : NULL);
#line 230 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp3_ = _tmp2_;
#line 230 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_list_foreach (_tmp3_, ____lambda15__gfunc, self);
#line 230 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_list_free0 (_tmp3_);
#line 1697 "FileChooserDialog.c"
	}
}


static void ___lambda14__gfunc (gconstpointer data, gpointer self) {
#line 228 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda14_ ((CustomFileChooserDialog*) self, (GtkWidget*) data);
#line 1705 "FileChooserDialog.c"
}


static void __lambda13_ (CustomFileChooserDialog* self, GtkWidget* w5) {
	GtkWidget* _tmp0_ = NULL;
	GList* _tmp1_ = NULL;
	GList* _tmp2_ = NULL;
#line 227 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w5 != NULL);
#line 228 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = w5;
#line 228 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (_tmp0_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp0_) : NULL);
#line 228 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = _tmp1_;
#line 228 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_list_foreach (_tmp2_, ___lambda14__gfunc, self);
#line 228 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_list_free0 (_tmp2_);
#line 1725 "FileChooserDialog.c"
}


static void ___lambda13__gfunc (gconstpointer data, gpointer self) {
#line 227 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda13_ ((CustomFileChooserDialog*) self, (GtkWidget*) data);
#line 1732 "FileChooserDialog.c"
}


static void ___lambda12_ (CustomFileChooserDialog* self, GtkWidget* w4) {
	GtkWidget* _tmp0_ = NULL;
	GList* _tmp1_ = NULL;
	GList* _tmp2_ = NULL;
#line 226 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w4 != NULL);
#line 227 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = w4;
#line 227 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (_tmp0_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp0_) : NULL);
#line 227 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = _tmp1_;
#line 227 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_list_foreach (_tmp2_, ___lambda13__gfunc, self);
#line 227 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_list_free0 (_tmp2_);
#line 1752 "FileChooserDialog.c"
}


static void ____lambda12__gfunc (gconstpointer data, gpointer self) {
#line 226 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	___lambda12_ ((CustomFileChooserDialog*) self, (GtkWidget*) data);
#line 1759 "FileChooserDialog.c"
}


static gboolean _custom_file_chooser_dialog_on_tv_button_press_event_gtk_widget_button_press_event (GtkWidget* _sender, GdkEventButton* event, gpointer self) {
	gboolean result;
	result = custom_file_chooser_dialog_on_tv_button_press_event ((CustomFileChooserDialog*) self, _sender, event);
#line 250 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return result;
#line 1768 "FileChooserDialog.c"
}


static gboolean _custom_file_chooser_dialog_on_tv_button_release_event_gtk_widget_button_release_event (GtkWidget* _sender, GdkEventButton* event, gpointer self) {
	gboolean result;
	result = custom_file_chooser_dialog_on_tv_button_release_event ((CustomFileChooserDialog*) self, event);
#line 251 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return result;
#line 1777 "FileChooserDialog.c"
}


static void __lambda11_ (Block5Data* _data5_, GtkWidget* w3) {
	CustomFileChooserDialog* self;
	GtkWidget* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
#line 224 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = _data5_->self;
#line 224 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w3 != NULL);
#line 225 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = w3;
#line 225 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_buildable_get_name ((GtkBuildable*) _tmp0_);
#line 225 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = CUSTOM_FILE_CHOOSER_DIALOG_GTK_PATHBAR_PATH[3];
#line 225 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_strcmp0 (_tmp1_, _tmp2_) == 0) {
#line 1798 "FileChooserDialog.c"
		GtkWidget* _tmp3_ = NULL;
		GList* _tmp4_ = NULL;
		GList* _tmp5_ = NULL;
		GtkWidget* _tmp6_ = NULL;
		GtkWidget* _tmp7_ = NULL;
#line 226 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp3_ = w3;
#line 226 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp4_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (_tmp3_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp3_) : NULL);
#line 226 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp5_ = _tmp4_;
#line 226 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_list_foreach (_tmp5_, ____lambda12__gfunc, self);
#line 226 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_list_free0 (_tmp5_);
#line 241 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp6_ = _data5_->w2;
#line 241 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp7_ = w3;
#line 241 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_container_remove (G_TYPE_CHECK_INSTANCE_TYPE (_tmp6_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp6_) : NULL, _tmp7_);
#line 1820 "FileChooserDialog.c"
	} else {
		GtkWidget* _tmp8_ = NULL;
		const gchar* _tmp9_ = NULL;
#line 242 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp8_ = w3;
#line 242 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp9_ = gtk_buildable_get_name ((GtkBuildable*) _tmp8_);
#line 242 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		if (g_strcmp0 (_tmp9_, "list_and_preview_box") == 0) {
#line 1830 "FileChooserDialog.c"
			GtkTreeView* tv = NULL;
			GtkWidget* _tmp10_ = NULL;
			GtkTreeView* _tmp11_ = NULL;
			GtkTreeView* _tmp12_ = NULL;
#line 243 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_tmp10_ = w3;
#line 243 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_tmp11_ = custom_file_chooser_dialog_find_tree_view (self, _tmp10_);
#line 243 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			tv = _tmp11_;
#line 244 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_tmp12_ = tv;
#line 244 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			if (_tmp12_ != NULL) {
#line 1845 "FileChooserDialog.c"
				GtkTreeView* _tmp13_ = NULL;
				gboolean _tmp14_ = FALSE;
				gboolean _tmp15_ = FALSE;
#line 246 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
				_tmp13_ = tv;
#line 246 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
				_tmp14_ = self->priv->is_single_click;
#line 246 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
				gtk_tree_view_set_activate_on_single_click (_tmp13_, _tmp14_);
#line 247 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
				_tmp15_ = self->priv->is_single_click;
#line 247 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
				if (_tmp15_) {
#line 1859 "FileChooserDialog.c"
					GtkTreeView* _tmp16_ = NULL;
					GtkTreeView* _tmp17_ = NULL;
					GtkTreeView* _tmp18_ = NULL;
#line 249 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
					_tmp16_ = tv;
#line 249 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
					gtk_widget_add_events ((GtkWidget*) _tmp16_, (gint) (GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK));
#line 250 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
					_tmp17_ = tv;
#line 250 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
					g_signal_connect_object ((GtkWidget*) _tmp17_, "button-press-event", (GCallback) _custom_file_chooser_dialog_on_tv_button_press_event_gtk_widget_button_press_event, self, 0);
#line 251 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
					_tmp18_ = tv;
#line 251 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
					g_signal_connect_object ((GtkWidget*) _tmp18_, "button-release-event", (GCallback) _custom_file_chooser_dialog_on_tv_button_release_event_gtk_widget_button_release_event, self, 0);
#line 1875 "FileChooserDialog.c"
				}
			}
#line 242 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_g_object_unref0 (tv);
#line 1880 "FileChooserDialog.c"
		}
	}
}


static void ___lambda11__gfunc (gconstpointer data, gpointer self) {
#line 224 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda11_ (self, (GtkWidget*) data);
#line 1889 "FileChooserDialog.c"
}


static void custom_file_chooser_dialog_transform_w2_container (CustomFileChooserDialog* self, GtkWidget* w2) {
	Block5Data* _data5_;
	GtkWidget* _tmp0_ = NULL;
	GtkWidget* _tmp1_ = NULL;
	GtkWidget* _tmp2_ = NULL;
	GList* _tmp3_ = NULL;
	GList* _tmp4_ = NULL;
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (self != NULL);
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w2 != NULL);
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data5_ = g_slice_new0 (Block5Data);
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data5_->_ref_count_ = 1;
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data5_->self = g_object_ref (self);
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = w2;
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_object_unref0 (_data5_->w2);
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data5_->w2 = _tmp1_;
#line 224 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = _data5_->w2;
#line 224 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (_tmp2_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp2_) : NULL);
#line 224 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp4_ = _tmp3_;
#line 224 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_list_foreach (_tmp4_, ___lambda11__gfunc, _data5_);
#line 224 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_list_free0 (_tmp4_);
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	block5_data_unref (_data5_);
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data5_ = NULL;
#line 1932 "FileChooserDialog.c"
}


static Block6Data* block6_data_ref (Block6Data* _data6_) {
#line 258 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_atomic_int_inc (&_data6_->_ref_count_);
#line 258 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return _data6_;
#line 1941 "FileChooserDialog.c"
}


static void block6_data_unref (void * _userdata_) {
	Block6Data* _data6_;
	_data6_ = (Block6Data*) _userdata_;
#line 258 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_atomic_int_dec_and_test (&_data6_->_ref_count_)) {
#line 1950 "FileChooserDialog.c"
		CustomFileChooserDialog* self;
#line 258 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		self = _data6_->self;
#line 258 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_data6_->tv);
#line 258 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (self);
#line 258 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_slice_free (Block6Data, _data6_);
#line 1960 "FileChooserDialog.c"
	}
}


static void ___lambda19_ (Block6Data* _data6_, GtkWidget* w) {
	CustomFileChooserDialog* self;
	GtkWidget* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
#line 267 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = _data6_->self;
#line 267 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w != NULL);
#line 268 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = w;
#line 268 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_buildable_get_name ((GtkBuildable*) _tmp0_);
#line 268 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = CUSTOM_FILE_CHOOSER_DIALOG_GTK_TREEVIEW_PATH[2];
#line 268 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_strcmp0 (_tmp1_, _tmp2_) == 0) {
#line 1982 "FileChooserDialog.c"
		GtkWidget* _tmp3_ = NULL;
		GtkTreeView* _tmp4_ = NULL;
#line 269 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp3_ = w;
#line 269 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp4_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, gtk_tree_view_get_type (), GtkTreeView));
#line 269 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_data6_->tv);
#line 269 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_data6_->tv = _tmp4_;
#line 1993 "FileChooserDialog.c"
	}
}


static void ____lambda19__gfunc (gconstpointer data, gpointer self) {
#line 267 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	___lambda19_ (self, (GtkWidget*) data);
#line 2001 "FileChooserDialog.c"
}


static void ___lambda18_ (Block6Data* _data6_, GtkWidget* w) {
	CustomFileChooserDialog* self;
	GtkWidget* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
#line 265 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = _data6_->self;
#line 265 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w != NULL);
#line 266 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = w;
#line 266 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_buildable_get_name ((GtkBuildable*) _tmp0_);
#line 266 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = CUSTOM_FILE_CHOOSER_DIALOG_GTK_TREEVIEW_PATH[1];
#line 266 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_strcmp0 (_tmp1_, _tmp2_) == 0) {
#line 2022 "FileChooserDialog.c"
		GtkWidget* _tmp3_ = NULL;
		GList* _tmp4_ = NULL;
		GList* _tmp5_ = NULL;
#line 267 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp3_ = w;
#line 267 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp4_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, gtk_container_get_type (), GtkContainer));
#line 267 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp5_ = _tmp4_;
#line 267 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_list_foreach (_tmp5_, ____lambda19__gfunc, _data6_);
#line 267 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_list_free0 (_tmp5_);
#line 2036 "FileChooserDialog.c"
	}
}


static void ____lambda18__gfunc (gconstpointer data, gpointer self) {
#line 265 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	___lambda18_ (self, (GtkWidget*) data);
#line 2044 "FileChooserDialog.c"
}


static void ___lambda17_ (Block6Data* _data6_, GtkWidget* w) {
	CustomFileChooserDialog* self;
	GtkWidget* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
#line 263 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = _data6_->self;
#line 263 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w != NULL);
#line 264 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = w;
#line 264 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_widget_get_name (_tmp0_);
#line 264 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = _tmp1_;
#line 264 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_strcmp0 (_tmp2_, "GtkBox") == 0) {
#line 2065 "FileChooserDialog.c"
		GtkWidget* _tmp3_ = NULL;
		GList* _tmp4_ = NULL;
		GList* _tmp5_ = NULL;
#line 265 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp3_ = w;
#line 265 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp4_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, gtk_container_get_type (), GtkContainer));
#line 265 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp5_ = _tmp4_;
#line 265 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_list_foreach (_tmp5_, ____lambda18__gfunc, _data6_);
#line 265 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_list_free0 (_tmp5_);
#line 2079 "FileChooserDialog.c"
	}
}


static void ____lambda17__gfunc (gconstpointer data, gpointer self) {
#line 263 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	___lambda17_ (self, (GtkWidget*) data);
#line 2087 "FileChooserDialog.c"
}


static void __lambda16_ (Block6Data* _data6_, GtkWidget* w) {
	CustomFileChooserDialog* self;
	GtkWidget* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
#line 261 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = _data6_->self;
#line 261 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w != NULL);
#line 262 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = w;
#line 262 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_buildable_get_name ((GtkBuildable*) _tmp0_);
#line 262 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = CUSTOM_FILE_CHOOSER_DIALOG_GTK_TREEVIEW_PATH[0];
#line 262 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_strcmp0 (_tmp1_, _tmp2_) == 0) {
#line 2108 "FileChooserDialog.c"
		GtkWidget* _tmp3_ = NULL;
		GList* _tmp4_ = NULL;
		GList* _tmp5_ = NULL;
#line 263 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp3_ = w;
#line 263 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp4_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, gtk_container_get_type (), GtkContainer));
#line 263 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp5_ = _tmp4_;
#line 263 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_list_foreach (_tmp5_, ____lambda17__gfunc, _data6_);
#line 263 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_list_free0 (_tmp5_);
#line 2122 "FileChooserDialog.c"
	}
}


static void ___lambda16__gfunc (gconstpointer data, gpointer self) {
#line 261 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda16_ (self, (GtkWidget*) data);
#line 2130 "FileChooserDialog.c"
}


static GtkTreeView* custom_file_chooser_dialog_find_tree_view (CustomFileChooserDialog* self, GtkWidget* browser_box) {
	GtkTreeView* result = NULL;
	Block6Data* _data6_;
	GtkWidget* _tmp0_ = NULL;
	GList* _tmp1_ = NULL;
	GList* _tmp2_ = NULL;
	GtkTreeView* _tmp3_ = NULL;
#line 258 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 258 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_val_if_fail (browser_box != NULL, NULL);
#line 258 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data6_ = g_slice_new0 (Block6Data);
#line 258 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data6_->_ref_count_ = 1;
#line 258 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data6_->self = g_object_ref (self);
#line 260 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data6_->tv = NULL;
#line 261 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = browser_box;
#line 261 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_container_get_type (), GtkContainer));
#line 261 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = _tmp1_;
#line 261 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_list_foreach (_tmp2_, ___lambda16__gfunc, _data6_);
#line 261 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_list_free0 (_tmp2_);
#line 279 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = _g_object_ref0 (_data6_->tv);
#line 279 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	result = _tmp3_;
#line 279 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	block6_data_unref (_data6_);
#line 279 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data6_ = NULL;
#line 279 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return result;
#line 2173 "FileChooserDialog.c"
}


static void __lambda4_ (CustomFileChooserDialog* self, GtkWidget* child) {
	GtkWidget* _tmp0_ = NULL;
#line 285 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (child != NULL);
#line 286 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = child;
#line 286 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_widget_set_valign (_tmp0_, GTK_ALIGN_CENTER);
#line 2185 "FileChooserDialog.c"
}


static void ___lambda4__gfunc (gconstpointer data, gpointer self) {
#line 285 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda4_ ((CustomFileChooserDialog*) self, (GtkWidget*) data);
#line 2192 "FileChooserDialog.c"
}


static void custom_file_chooser_dialog_assign_container_box (CustomFileChooserDialog* self) {
	GtkFileChooserDialog* _tmp0_ = NULL;
	GtkWidget* _tmp1_ = NULL;
	GtkBox* _tmp2_ = NULL;
	GtkBox* _tmp3_ = NULL;
	GtkBox* _tmp4_ = NULL;
	GList* _tmp5_ = NULL;
	GList* _tmp6_ = NULL;
#line 282 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (self != NULL);
#line 283 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = custom_file_chooser_dialog_chooser_dialog;
#line 283 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_dialog_get_action_area ((GtkDialog*) _tmp0_);
#line 283 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp1_, gtk_box_get_type ()) ? ((GtkBox*) _tmp1_) : NULL);
#line 283 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_object_unref0 (custom_file_chooser_dialog_container_box);
#line 283 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	custom_file_chooser_dialog_container_box = _tmp2_;
#line 284 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = custom_file_chooser_dialog_container_box;
#line 284 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp3_, GTK_ALIGN_CENTER);
#line 285 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp4_ = custom_file_chooser_dialog_container_box;
#line 285 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp5_ = gtk_container_get_children ((GtkContainer*) _tmp4_);
#line 285 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp6_ = _tmp5_;
#line 285 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_list_foreach (_tmp6_, ___lambda4__gfunc, self);
#line 285 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_list_free0 (_tmp6_);
#line 2230 "FileChooserDialog.c"
}


static Block7Data* block7_data_ref (Block7Data* _data7_) {
#line 290 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_atomic_int_inc (&_data7_->_ref_count_);
#line 290 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return _data7_;
#line 2239 "FileChooserDialog.c"
}


static void block7_data_unref (void * _userdata_) {
	Block7Data* _data7_;
	_data7_ = (Block7Data*) _userdata_;
#line 290 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_atomic_int_dec_and_test (&_data7_->_ref_count_)) {
#line 2248 "FileChooserDialog.c"
		CustomFileChooserDialog* self;
#line 290 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		self = _data7_->self;
#line 290 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_free0 (_data7_->current_filter_name);
#line 290 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (self);
#line 290 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_slice_free (Block7Data, _data7_);
#line 2258 "FileChooserDialog.c"
	}
}


static Block8Data* block8_data_ref (Block8Data* _data8_) {
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_atomic_int_inc (&_data8_->_ref_count_);
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return _data8_;
#line 2268 "FileChooserDialog.c"
}


static void block8_data_unref (void * _userdata_) {
	Block8Data* _data8_;
	_data8_ = (Block8Data*) _userdata_;
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_atomic_int_dec_and_test (&_data8_->_ref_count_)) {
#line 2277 "FileChooserDialog.c"
		CustomFileChooserDialog* self;
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		self = _data8_->_data7_->self;
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_data8_->combo_box);
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		block7_data_unref (_data8_->_data7_);
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_data8_->_data7_ = NULL;
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_slice_free (Block8Data, _data8_);
#line 2289 "FileChooserDialog.c"
	}
}


static void __lambda22_ (Block8Data* _data8_, GtkFileFilter* filter) {
	Block7Data* _data7_;
	CustomFileChooserDialog* self;
	GtkFileFilter* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	GtkComboBoxText* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gboolean _tmp5_ = FALSE;
#line 298 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data7_ = _data8_->_data7_;
#line 298 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = _data7_->self;
#line 298 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (filter != NULL);
#line 299 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = filter;
#line 299 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_file_filter_get_name (_tmp0_);
#line 299 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = _data8_->combo_box;
#line 299 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = gtk_combo_box_text_get_active_text (_tmp2_);
#line 299 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp4_ = _tmp3_;
#line 299 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp5_ = g_strcmp0 (_tmp1_, _tmp4_) == 0;
#line 299 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_free0 (_tmp4_);
#line 299 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (_tmp5_) {
#line 2325 "FileChooserDialog.c"
		GtkFileChooserDialog* _tmp6_ = NULL;
		GtkFileFilter* _tmp7_ = NULL;
#line 300 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp6_ = custom_file_chooser_dialog_chooser_dialog;
#line 300 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp7_ = filter;
#line 300 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_file_chooser_set_filter ((GtkFileChooser*) _tmp6_, _tmp7_);
#line 2334 "FileChooserDialog.c"
	}
}


static void ___lambda22__gfunc (gconstpointer data, gpointer self) {
#line 298 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda22_ (self, (GtkFileFilter*) data);
#line 2342 "FileChooserDialog.c"
}


static void ___lambda21_ (Block8Data* _data8_) {
	Block7Data* _data7_;
	CustomFileChooserDialog* self;
	GtkFileChooserDialog* _tmp0_ = NULL;
	GSList* _tmp1_ = NULL;
	GSList* _tmp2_ = NULL;
#line 297 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data7_ = _data8_->_data7_;
#line 297 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = _data7_->self;
#line 298 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = custom_file_chooser_dialog_chooser_dialog;
#line 298 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_file_chooser_list_filters ((GtkFileChooser*) _tmp0_);
#line 298 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = _tmp1_;
#line 298 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_slist_foreach (_tmp2_, ___lambda22__gfunc, _data8_);
#line 298 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_slist_free0 (_tmp2_);
#line 2366 "FileChooserDialog.c"
}


static void ____lambda21__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 297 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	___lambda21_ (self);
#line 2373 "FileChooserDialog.c"
}


static void ___lambda23_ (Block8Data* _data8_, GtkFileFilter* filter) {
	Block7Data* _data7_;
	CustomFileChooserDialog* self;
	gchar* name = NULL;
	GtkFileFilter* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	GtkComboBoxText* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	const gchar* _tmp6_ = NULL;
	gint _tmp9_ = 0;
#line 305 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data7_ = _data8_->_data7_;
#line 305 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = _data7_->self;
#line 305 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (filter != NULL);
#line 306 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = filter;
#line 306 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_file_filter_get_name (_tmp0_);
#line 306 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 306 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	name = _tmp2_;
#line 307 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = _data8_->combo_box;
#line 307 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp4_ = name;
#line 307 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_combo_box_text_append_text (_tmp3_, _tmp4_);
#line 308 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp5_ = name;
#line 308 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp6_ = _data7_->current_filter_name;
#line 308 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_strcmp0 (_tmp5_, _tmp6_) == 0) {
#line 2415 "FileChooserDialog.c"
		GtkComboBoxText* _tmp7_ = NULL;
		gint _tmp8_ = 0;
#line 309 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp7_ = _data8_->combo_box;
#line 309 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp8_ = _data8_->index;
#line 309 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_combo_box_set_active ((GtkComboBox*) _tmp7_, _tmp8_);
#line 2424 "FileChooserDialog.c"
	}
#line 312 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp9_ = _data8_->index;
#line 312 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data8_->index = _tmp9_ + 1;
#line 305 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_free0 (name);
#line 2432 "FileChooserDialog.c"
}


static void ____lambda23__gfunc (gconstpointer data, gpointer self) {
#line 305 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	___lambda23_ (self, (GtkFileFilter*) data);
#line 2439 "FileChooserDialog.c"
}


static void custom_file_chooser_dialog_setup_filter_box (CustomFileChooserDialog* self) {
	Block7Data* _data7_;
	GSList* filters = NULL;
	GtkFileChooserDialog* _tmp0_ = NULL;
	GSList* _tmp1_ = NULL;
	GtkFileChooserDialog* _tmp2_ = NULL;
	GtkFileFilter* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	GSList* _tmp6_ = NULL;
	guint _tmp7_ = 0U;
#line 290 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (self != NULL);
#line 290 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data7_ = g_slice_new0 (Block7Data);
#line 290 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data7_->_ref_count_ = 1;
#line 290 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data7_->self = g_object_ref (self);
#line 291 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = custom_file_chooser_dialog_chooser_dialog;
#line 291 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_file_chooser_list_filters ((GtkFileChooser*) _tmp0_);
#line 291 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	filters = _tmp1_;
#line 292 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = custom_file_chooser_dialog_chooser_dialog;
#line 292 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = gtk_file_chooser_get_filter ((GtkFileChooser*) _tmp2_);
#line 292 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp4_ = gtk_file_filter_get_name (_tmp3_);
#line 292 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp5_ = g_strdup (_tmp4_);
#line 292 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data7_->current_filter_name = _tmp5_;
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp6_ = filters;
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp7_ = g_slist_length (_tmp6_);
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (_tmp7_ > ((guint) 0)) {
#line 2484 "FileChooserDialog.c"
		Block8Data* _data8_;
		GtkComboBoxText* _tmp8_ = NULL;
		GtkComboBoxText* _tmp9_ = NULL;
		GSList* _tmp10_ = NULL;
		GtkGrid* grid = NULL;
		GtkGrid* _tmp11_ = NULL;
		GtkGrid* _tmp12_ = NULL;
		GtkGrid* _tmp13_ = NULL;
		GtkComboBoxText* _tmp14_ = NULL;
		GtkBox* _tmp15_ = NULL;
		GtkGrid* _tmp16_ = NULL;
		GtkBox* _tmp17_ = NULL;
		GtkGrid* _tmp18_ = NULL;
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_data8_ = g_slice_new0 (Block8Data);
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_data8_->_ref_count_ = 1;
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_data8_->_data7_ = block7_data_ref (_data7_);
#line 295 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		self->priv->filters_available = TRUE;
#line 296 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp8_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 296 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_object_ref_sink (_tmp8_);
#line 296 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_data8_->combo_box = _tmp8_;
#line 297 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp9_ = _data8_->combo_box;
#line 297 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_signal_connect_data ((GtkComboBox*) _tmp9_, "changed", (GCallback) ____lambda21__gtk_combo_box_changed, block8_data_ref (_data8_), (GClosureNotify) block8_data_unref, 0);
#line 304 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_data8_->index = 0;
#line 305 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp10_ = filters;
#line 305 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_slist_foreach (_tmp10_, ____lambda23__gfunc, _data8_);
#line 315 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp11_ = (GtkGrid*) gtk_grid_new ();
#line 315 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_object_ref_sink (_tmp11_);
#line 315 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		grid = _tmp11_;
#line 316 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp12_ = grid;
#line 316 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_widget_set_valign ((GtkWidget*) _tmp12_, GTK_ALIGN_CENTER);
#line 317 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp13_ = grid;
#line 317 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp14_ = _data8_->combo_box;
#line 317 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_container_add ((GtkContainer*) _tmp13_, (GtkWidget*) _tmp14_);
#line 318 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp15_ = custom_file_chooser_dialog_container_box;
#line 318 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp16_ = grid;
#line 318 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_box_pack_end (_tmp15_, (GtkWidget*) _tmp16_, TRUE, TRUE, (guint) 0);
#line 319 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp17_ = custom_file_chooser_dialog_container_box;
#line 319 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp18_ = grid;
#line 319 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_button_box_set_child_secondary (G_TYPE_CHECK_INSTANCE_CAST (_tmp17_, gtk_button_box_get_type (), GtkButtonBox), (GtkWidget*) _tmp18_, TRUE);
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (grid);
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		block8_data_unref (_data8_);
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_data8_ = NULL;
#line 2556 "FileChooserDialog.c"
	}
#line 290 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_slist_free0 (filters);
#line 290 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	block7_data_unref (_data7_);
#line 290 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data7_ = NULL;
#line 2564 "FileChooserDialog.c"
}


static GtkTreeIter* _gtk_tree_iter_dup (GtkTreeIter* self) {
	GtkTreeIter* dup;
#line 343 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	dup = g_new0 (GtkTreeIter, 1);
#line 343 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	memcpy (dup, self, sizeof (GtkTreeIter));
#line 343 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return dup;
#line 2576 "FileChooserDialog.c"
}


static gpointer __gtk_tree_iter_dup0 (gpointer self) {
#line 343 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return self ? _gtk_tree_iter_dup (self) : NULL;
#line 2583 "FileChooserDialog.c"
}


static gboolean custom_file_chooser_dialog_on_tv_button_press_event (CustomFileChooserDialog* self, GtkWidget* w, GdkEventButton* event) {
	gboolean result = FALSE;
	GdkEventButton* _tmp0_ = NULL;
	GdkEventType _tmp1_ = 0;
	GtkWidget* _tmp2_ = NULL;
	GtkTreeView* tv = NULL;
	GtkWidget* _tmp3_ = NULL;
	GtkTreeView* _tmp4_ = NULL;
	GtkTreePath* path = NULL;
	gint cell_x = 0;
	gint cell_y = 0;
	GtkTreeView* _tmp5_ = NULL;
	GdkEventButton* _tmp6_ = NULL;
	gdouble _tmp7_ = 0.0;
	GdkEventButton* _tmp8_ = NULL;
	gdouble _tmp9_ = 0.0;
	GtkTreePath* _tmp10_ = NULL;
	gint _tmp11_ = 0;
	gint _tmp12_ = 0;
	GtkTreePath* _tmp13_ = NULL;
#line 323 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 323 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_val_if_fail (w != NULL, FALSE);
#line 323 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_val_if_fail (event != NULL, FALSE);
#line 324 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self->priv->can_activate = FALSE;
#line 325 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = event;
#line 325 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = _tmp0_->type;
#line 325 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (_tmp1_ == GDK_2BUTTON_PRESS) {
#line 326 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		self->priv->can_activate = TRUE;
#line 327 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		result = FALSE;
#line 327 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		return result;
#line 2627 "FileChooserDialog.c"
	}
#line 330 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = w;
#line 330 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (_tmp2_ == NULL) {
#line 331 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		result = FALSE;
#line 331 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		return result;
#line 2637 "FileChooserDialog.c"
	}
#line 334 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = w;
#line 334 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp4_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, gtk_tree_view_get_type (), GtkTreeView));
#line 334 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	tv = _tmp4_;
#line 335 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	path = NULL;
#line 338 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp5_ = tv;
#line 338 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp6_ = event;
#line 338 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp7_ = _tmp6_->x;
#line 338 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp8_ = event;
#line 338 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp9_ = _tmp8_->y;
#line 338 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_tree_view_get_path_at_pos (_tmp5_, (gint) _tmp7_, (gint) _tmp9_, &_tmp10_, NULL, &_tmp11_, &_tmp12_);
#line 338 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_gtk_tree_path_free0 (path);
#line 338 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	path = _tmp10_;
#line 338 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	cell_x = _tmp11_;
#line 338 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	cell_y = _tmp12_;
#line 340 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp13_ = path;
#line 340 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (_tmp13_ != NULL) {
#line 2671 "FileChooserDialog.c"
		GtkTreeModel* model = NULL;
		GtkTreeView* _tmp14_ = NULL;
		GtkTreeModel* _tmp15_ = NULL;
		GtkTreeModel* _tmp16_ = NULL;
		GtkTreeIter* iter = NULL;
		GtkTreeModel* _tmp17_ = NULL;
		GtkTreePath* _tmp18_ = NULL;
		GtkTreeIter _tmp19_ = {0};
		gboolean _tmp20_ = FALSE;
		GtkTreeIter _tmp21_ = {0};
		GtkTreeIter* _tmp22_ = NULL;
#line 341 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp14_ = tv;
#line 341 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp15_ = gtk_tree_view_get_model (_tmp14_);
#line 341 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp16_ = _g_object_ref0 (_tmp15_);
#line 341 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		model = _tmp16_;
#line 342 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		iter = NULL;
#line 343 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp17_ = model;
#line 343 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp18_ = path;
#line 343 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp20_ = gtk_tree_model_get_iter (_tmp17_, &_tmp19_, _tmp18_);
#line 343 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_free0 (iter);
#line 343 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp21_ = _tmp19_;
#line 343 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp22_ = __gtk_tree_iter_dup0 (&_tmp21_);
#line 343 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		iter = _tmp22_;
#line 343 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		if (_tmp20_) {
#line 2709 "FileChooserDialog.c"
			gboolean is_folder = FALSE;
			GtkTreeModel* _tmp23_ = NULL;
			GtkTreeIter* _tmp24_ = NULL;
			GtkTreeIter _tmp25_ = {0};
			gboolean _tmp26_ = FALSE;
#line 345 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_tmp23_ = model;
#line 345 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_tmp24_ = iter;
#line 345 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_tmp25_ = *_tmp24_;
#line 345 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			gtk_tree_model_get (_tmp23_, &_tmp25_, 5, &is_folder, -1);
#line 346 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_tmp26_ = is_folder;
#line 346 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			if (_tmp26_) {
#line 347 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
				self->priv->can_activate = TRUE;
#line 2729 "FileChooserDialog.c"
			}
		}
#line 340 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_free0 (iter);
#line 340 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (model);
#line 2736 "FileChooserDialog.c"
	}
#line 352 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	result = FALSE;
#line 352 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_gtk_tree_path_free0 (path);
#line 352 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_object_unref0 (tv);
#line 352 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return result;
#line 2746 "FileChooserDialog.c"
}


static gboolean custom_file_chooser_dialog_on_tv_button_release_event (CustomFileChooserDialog* self, GdkEventButton* event) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
#line 355 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 355 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_val_if_fail (event != NULL, FALSE);
#line 356 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = self->priv->can_activate;
#line 356 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	result = !_tmp0_;
#line 356 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return result;
#line 2763 "FileChooserDialog.c"
}


static void custom_file_chooser_dialog_class_init (CustomFileChooserDialogClass * klass) {
#line 25 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	custom_file_chooser_dialog_parent_class = g_type_class_peek_parent (klass);
#line 25 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_type_class_add_private (klass, sizeof (CustomFileChooserDialogPrivate));
#line 25 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	G_OBJECT_CLASS (klass)->finalize = custom_file_chooser_dialog_finalize;
#line 2774 "FileChooserDialog.c"
}


static void custom_file_chooser_dialog_instance_init (CustomFileChooserDialog * self) {
#line 25 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self->priv = CUSTOM_FILE_CHOOSER_DIALOG_GET_PRIVATE (self);
#line 44 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self->priv->filters_available = FALSE;
#line 46 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self->priv->current_path = NULL;
#line 47 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self->priv->is_previous = FALSE;
#line 48 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self->priv->is_button_next = FALSE;
#line 49 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self->priv->is_single_click = TRUE;
#line 50 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self->priv->can_activate = TRUE;
#line 2793 "FileChooserDialog.c"
}


static void custom_file_chooser_dialog_finalize (GObject* obj) {
	CustomFileChooserDialog * self;
#line 25 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_CUSTOM_FILE_CHOOSER_DIALOG, CustomFileChooserDialog);
#line 41 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__g_queue_free__g_free0_0 (self->priv->previous_paths);
#line 42 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__g_queue_free__g_free0_0 (self->priv->next_paths);
#line 46 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_free0 (self->priv->current_path);
#line 25 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	G_OBJECT_CLASS (custom_file_chooser_dialog_parent_class)->finalize (obj);
#line 2809 "FileChooserDialog.c"
}


/*** The Gtk.FileChooserWidget widget names and paths can be found in "gtkfilechooserwidget.ui"
 *   in the Gtk+3 source code package.  Changes to that file could break this code.
***/
GType custom_file_chooser_dialog_get_type (void) {
	static volatile gsize custom_file_chooser_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&custom_file_chooser_dialog_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (CustomFileChooserDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) custom_file_chooser_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (CustomFileChooserDialog), 0, (GInstanceInitFunc) custom_file_chooser_dialog_instance_init, NULL };
		GType custom_file_chooser_dialog_type_id;
		custom_file_chooser_dialog_type_id = g_type_register_static (G_TYPE_OBJECT, "CustomFileChooserDialog", &g_define_type_info, 0);
		g_once_init_leave (&custom_file_chooser_dialog_type_id__volatile, custom_file_chooser_dialog_type_id);
	}
	return custom_file_chooser_dialog_type_id__volatile;
}



